Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2000._09.xmldsig
Class CanonicalizationMethod

    java.lang.Object
      org.w3._2000._09.xmldsig.CanonicalizationMethod

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:23:16+02:00",
               comments="JAXB RI v2.2.11")
    public class CanonicalizationMethod

extends Object
implements Serializable

Java class for CanonicalizationMethodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CanonicalizationMethodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CanonicalizationMethod()`

Method Summary
`String` | `getAlgorithm()` Gets the value of the algorithm property.
`List<Object>` | `getContent()` Gets the value of the content property.
`void` | `setAlgorithm(String value)` Sets the value of the algorithm property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CanonicalizationMethod

    public CanonicalizationMethod()

Method Detail

### getContent

    public List<Object> getContent()

  Gets the value of the content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `String` `Element` `Object`

### getAlgorithm

    public String getAlgorithm()

  Gets the value of the algorithm property.

  Returns:
    possible object is `String`

### setAlgorithm

    public void setAlgorithm(String value)

  Sets the value of the algorithm property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.